package com.example.zaquiel.rodriguezz_u4;


import android.content.Intent;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.gesture.GestureOverlayView;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.StrictMode;
import android.preference.PreferenceManager;
import android.provider.CallLog;
import android.support.v4.app.FragmentTabHost;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.text.format.DateFormat;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import org.w3c.dom.Text;

public class MainActivity extends ActionBarActivity {
    private FragmentTabHost tabHost;

    //private AlmacenPuntuacionesPreferencias almacen;


    private EditText entrada;
    private TextView salida;

    //public static AlmacenPuntuacionesSQLiteRel almacen;
    //public static AlmacenPuntuacionesProvider almacen;
    public static AlmacenPuntuacionesProvider almacen;


    Integer numero = 0;
    Integer resultado = 0;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.tab1);
        TextView texto = (TextView) findViewById(R.id.textView);
        Animation animacion = AnimationUtils.loadAnimation(this, R.anim.animacion);
        texto.startAnimation(animacion);

        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());

        //almacen = new AlmacenPuntuacionesPreferencias(this);
        //almacen = new AlmacenPuntuacionesFicheroInterno(this);
        //almacen = new AlmacenPuntuacionesRecursosRaw(this);
        //almacen = new AlmacenPuntuacionesXML_DOM(this);
        //almacen = new AlmacenPuntuacionesSQLiteRel(this);
        almacen = new AlmacenPuntuacionesProvider(this);

        /*String[] TIPO_LLAMADA = {"","entrante","saliente","perdida",
                "mensaje de voz", "cancelada", "lista bloqueados"};
        TextView salida = (TextView) findViewById(R.id.salida);
        Uri llamadas = Uri.parse("content://call_log/calls");

        Cursor c = getContentResolver().query(llamadas,null,null,null,null);

        while (c.moveToNext()) {
            salida.append("\n" + DateFormat.format("dd/MM/yy k:mm (", c.getLong(c.getColumnIndex(CallLog.Calls.DATE)))
                    + c.getString(c.getColumnIndex(CallLog.Calls.DURATION)) + ") " + c.getString(c.getColumnIndex(CallLog.Calls.NUMBER)) + ", "
                    + TIPO_LLAMADA[Integer.parseInt(c.getString(c.getColumnIndex(CallLog.Calls.TYPE)))]);
        }*/

    }
    public void mostrarPreferencias(View view){
        SharedPreferences pref =
                PreferenceManager.getDefaultSharedPreferences(this);
        String s = "música: " + pref.getBoolean("musica",true)
                +", gráficos: " + pref.getString("graficos","?");
        Toast.makeText(this, s, Toast.LENGTH_SHORT).show();
    }

    public void salir(View view)
    {
        //finish();
        Intent i = new Intent(this, Puntuaciones.class);
        startActivity(i);
        //this.finish();
    }

    public void acercade(View view)
    {

        Intent i = new Intent(this,AcercaDe.class);
        startActivity(i);

    }
    public void lanzarJuego(View view) {

        Intent intent = getIntent();
        String numNave = intent.getStringExtra("numNave");

        Intent i = new Intent(this, Juego.class);
        i.putExtra("numNave",numNave);
        startActivityForResult(i, 1234);
    }
    @Override protected void onActivityResult (int requestCode,
                                               int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode==1234 && resultCode==RESULT_OK && data!=null) {
            int puntuacion = data.getExtras().getInt("puntuacion");
            String nombre = "Yo";
// Mejor leer nombre desde un AlertDialog.Builder o preferencias
            almacen.guardarPuntuacion(puntuacion, nombre,
                    System.currentTimeMillis());
            lanzarPuntuaciones(null);
        }
    }

    public void lanzarPuntuaciones(View view) {
        Intent i = new Intent(this, Puntuaciones.class);
        startActivity(i);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        if (id == R.id. acercaDe) {
            lanzarAcercaDe(null);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }


    public void lanzarAcercaDe(View view){
        Intent i = new Intent(this, AcercaDe.class);
        startActivity(i);
    }

    public void elegir(View view){
        Intent i = new Intent(this, Eleccion.class);
        startActivity(i);
    }

    public void lanzarPreferencias(View view){
        Intent i = new Intent(this, Preferencias.class);
        startActivity(i);
    }



    public void suma(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;

        if(tv.getText().toString().length() < 1)
        {
            Toast.makeText(this, "no existe ningún numero", Toast.LENGTH_SHORT).show();
        }
        else
        {
            numero += Integer.parseInt(tv.getText().toString());
            tv.setText("");
        }
    }

    public void eliminar(View miView)
    {
        numero = 0;
        resultado = 0;
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText("");
    }

    public void igual(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;

        if(tv.getText().toString().length() < 1)
        {
            Toast.makeText(this, "no existe ningún numero", Toast.LENGTH_SHORT).show();
        }else
        {
            numero += Integer.parseInt(tv.getText().toString());
            resultado = numero;
            tv.setText(numero.toString());
            numero = 0;
        }
    }

    public void eliminar2(View miView)
    {
        numero = 0;
        resultado = 0;
        TextView tv = (TextView) findViewById(R.id.txt) ;
        TextView tv2 = (TextView) findViewById(R.id.resultado2) ;
        tv.setText("");
        tv2.setText("resultado");
    }

    public void b0(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "0");
    }

    public void b1(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "1");
    }
    public void b2(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "2");
    }
    public void b3(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "3");
    }
    public void b4(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "4");
    }
    public void b5(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "5");
    }
    public void b6(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "6");
    }
    public void b7(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "7");
    }
    public void b8(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "8");
    }
    public void b9(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txt) ;
        tv.setText(tv.getText() + "9");
    }



    public void cero(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "0");
    }

    public void uno(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "1");
    }
    public void dos(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "2");
    }
    public void tres(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "3");
    }
    public void cuatro(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "4");
    }
    public void cinco(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "5");
    }
    public void seis(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "6");
    }
    public void siete(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "7");
    }
    public void ocho(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "8");
    }
    public void nueve(View miView)
    {
        TextView tv = (TextView) findViewById(R.id.txtNumero) ;
        tv.setText(tv.getText() + "9");
    }

    public void conversor1(View miView)
    {
        TextView tv1 = (TextView) findViewById(R.id.resultado2) ;
        TextView tv = (TextView) findViewById(R.id.txt) ;

        if(tv.getText().toString().length() < 1)
        {
            Toast.makeText(this, "no existe ningún numero", Toast.LENGTH_SHORT).show();
        }
        else
        {
            if(resultado != 0){tv1.setText(String.valueOf(resultado*166.386));}
            else
            {
                tv1.setText(String.valueOf(Integer.parseInt(tv.getText().toString()) * 166.386));
            }
        }
    }

    public void conversor2(View miView)
    {
        TextView tv1 = (TextView) findViewById(R.id.resultado2) ;
        TextView tv = (TextView) findViewById(R.id.txt) ;

        if(tv.getText().toString().length() < 1)
        {
            Toast.makeText(this, "no existe ningún numero", Toast.LENGTH_SHORT).show();
        }
        else
        {
            if(resultado != 0){tv.setText(String.valueOf(resultado/166.386));}
            else
            {
                tv1.setText(String.valueOf(Integer.parseInt(tv.getText().toString()) / 166.386));
            }
        }

    }

    public void sePulsa(View view){

        entrada = (EditText) findViewById(R.id.entrada);
        salida = (TextView) findViewById(R.id.salida);

        if(entrada.getText().toString().length() < 1)
        {
            Toast.makeText(getApplicationContext(),"Introduce un número primero", Toast.LENGTH_SHORT).show();
        }
        else
        {
            salida.setText(String.valueOf(
                    Float.parseFloat(entrada.getText().toString()) * 2.0));
        }
    }

    public void sePulsa0(View view)
    {

        entrada = (EditText) findViewById(R.id.entrada);
        salida = (TextView) findViewById(R.id.salida);

        entrada.setText(entrada.getText() + (String) view.getTag());
    }

}