package com.example.zaquiel.rodriguezz_u4;

import android.util.Log;

import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.Vector;

class ManejadorSerWeb extends DefaultHandler {
        private Vector<String> lista;
        private StringBuilder cadena;

        public Vector<String> getLista() {
            return lista;
        }

        @Override
        public void startDocument() throws SAXException {
            cadena = new StringBuilder();
            lista = new Vector<String>();
        }

        @Override
        public void characters(char ch[], int comienzo, int longitud) {
            cadena.append(ch, comienzo, longitud);
        }

        @Override
        public void endElement(String uri, String nombreLocal,
                               String nombreCualif) throws SAXException {
            if (nombreLocal.equals("return")) {
                try {
                    lista.add(URLDecoder.decode(cadena.toString(), "UTF8"));
                } catch (UnsupportedEncodingException e) {
                    Log.e("Asteroides", e.getMessage(), e);
                }
            }
            cadena.setLength(0);
        }
    }

