package com.example.zaquiel.rodriguezz_u4;

import android.util.Log;

import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Vector;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

/**
 * Created by zaquiel on 31/10/15.
 */
public class AlmacenPuntuacionesSW_PHP_AsyncTask implements AlmacenPuntuaciones {
    public Vector<String> listaPuntuaciones(int cantidad) {

        Vector<String> result = new Vector<String>();
        try {
            URL url = new URL("http://158.42.146.127/puntuaciones/lista.php"
                    + "?max=20");
            HttpURLConnection conexion = (HttpURLConnection) url
                    .openConnection();
            if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                BufferedReader reader = new BufferedReader(new
                        InputStreamReader(conexion.getInputStream()));
                String linea = reader.readLine();
                while (!linea.equals("")) {
                    result.add(linea);
                    linea = reader.readLine();
                }
                reader.close();
                conexion.disconnect();
                return result;
            } else {
                Log.e("Asteroides",
                        conexion.getResponseMessage());
                conexion.disconnect();
                return result;
            }
        } catch (Exception e) {
            Log.e("Asteroides", e.getMessage(), e);
            //conexion.disconnect();
            return result;
        }
    }

    public void guardarPuntuacion(int puntos, String nombre, long fecha) {
        try {
            URL url=new URL("http://158.42.146.127:8080/"
                    + "PuntuacionesServicioWeb/services/PuntuacionesServicioWeb"
                    + "/nueva");
            HttpURLConnection conexion = (HttpURLConnection) url
                    .openConnection();
            conexion.setRequestMethod("POST");
            conexion.setDoOutput(true);
            OutputStreamWriter sal = new OutputStreamWriter(
                    conexion.getOutputStream());
            sal.write("puntos=");
            sal.write(URLEncoder.encode(String.valueOf(puntos), "UTF-8"));
            sal.write("&nombre=");
            sal.write(URLEncoder.encode(nombre, "UTF-8"));
            sal.write("&fecha=");
            sal.write(URLEncoder.encode(String.valueOf(fecha), "UTF-8"));
            sal.flush();
            if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                SAXParserFactory fabrica = SAXParserFactory.newInstance();
                SAXParser parser = fabrica.newSAXParser();
                XMLReader lector = parser.getXMLReader();
                ManejadorSerWeb manejadorXML = new ManejadorSerWeb();
                lector.setContentHandler(manejadorXML);
                lector.parse(new InputSource(conexion.getInputStream()));
                if (manejadorXML.getLista().size() != 1
                        || !manejadorXML.getLista().get(0).equals("OK")) {
                    Log.e("Asteroides","Error en respuesta servicio Web nueva");
                }
            } else {
                Log.e("Asteroides", conexion.getResponseMessage());
            }
            conexion.disconnect();
        } catch (Exception e) {
            Log.e("Asteroides", e.getMessage(), e);
        }
    }
}
