package com.example.zaquiel.rodriguezz_u4;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.WindowManager;




/**
 * Created by zaquiel on 13/09/15.
 */

public class Juego extends Activity {

    private VistaJuego vistaJuego;
    private MediaPlayer mp;

    public String ImagenNave = "0";
    @Override public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.juego);
        Intent intent = getIntent();
        String numNave = intent.getStringExtra("numNave");
        ImagenNave = numNave;

        vistaJuego = (VistaJuego) findViewById(R.id.VistaJuego);
        mp = MediaPlayer.create(this, R.raw.audio);
        mp.start();

        vistaJuego.numeroNave(numNave);
        vistaJuego.setPadre(this);
        vistaJuego.numeroNave(numNave);

    }

    @Override protected void onPause() {
        super.onPause();
        vistaJuego.getThread().pausar();

        mp.pause();

        vistaJuego.desactivarSensores();

    }
    @Override
    protected void onResume() {
        super.onResume();
        vistaJuego.getThread().reanudar();

        mp.start();

        vistaJuego.activarSensores();
    }
    @Override protected void onDestroy() {
        vistaJuego.getThread().detener();
        super.onDestroy();
    }

    String var;
    int pos;

    @Override protected void onSaveInstanceState(Bundle estadoGuardado) {
        super.onSaveInstanceState(estadoGuardado);
        if (mp != null) {
            int pos = mp.getCurrentPosition();
            estadoGuardado.putInt("posicion", pos);
        }
    }
    @Override protected void onRestoreInstanceState(Bundle estadoGuardado) {
        super.onRestoreInstanceState(estadoGuardado);
        if (estadoGuardado != null && mp != null) {
            int pos = estadoGuardado.getInt("posicion");
            mp.seekTo(pos);
        }
    }

}
